Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162541 - dbus should not be restarted in postun
Summary: dbus should not be restarted in postun
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: dbus
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Zeuthen
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-05 23:08 UTC by Colin Walters
Modified: 2013-03-06 03:43 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-24 06:00:25 UTC


Attachments (Terms of Use)

Description Colin Walters 2005-07-05 23:08:49 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050623 Fedora/1.0.4-5 Firefox/1.0.4

Description of problem:
Currently dbus.spec has:

%postun
/sbin/ldconfig
if [ "$1" -ge "1" ]; then
  service messagebus condrestart > /dev/null 2>&1
fi

This will break many important applications using the system bus like HAL and NetworkManager, not to mention other random applications such as eggcups.
The fix is to simply not restart the bus.

Later in Fedora we will hopefully gain some infrastructure for notifying the user when a system restart is required for a package update/security release.




Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:

  

Additional info:


Note You need to log in before you can comment on or make changes to this bug.